<style type="text/css">
.modified { background-color: #fee }
.profile-table { margin-top: 10px; border-collapse: collapse; border: 1px solid #ddd; width: 320px }
.profile-table th { text-align: left; padding: 5px; border: 1px solid #eee }
.profile-table td { text-align: left; padding: 5px; border: 1px solid #eee }
.fleft h2 { margin: 20px 0 0 0 }
</style>

<script type="text/javascript">
window.revisions_popup.addEvent('loaded', function () {
	this.content.setStyle('height', window.getHeight() - 170);
	this.content.setStyle('overflow', 'auto');
	
	var initSelectBox = function () {
		var select_box = this.content.getElement('select[name=revision]');
		
		var self = this;
		select_box.addEvent('change', function () {
			new Cubix.Overlay(self.content, { type: '40p' }).disable();
			self.load('/escorts/revisions?escort_id=<?= $this->request()->escort_id ?>&revision=' + this.getSelected().get('value'));
		});
	}.bind(this);
	
	initSelectBox();
	this.removeEvent('loaded');
});
</script>

<label>Revision</label>
<select name="revision">
	<option value="">- revision -</option>
<? foreach ( $this->revisions as $revision ): ?>
	<option value="<?= $revision->revision ?>">#<?= $revision->revision ?> (<?= date('d M Y, H:i', $revision->date_updated) ?>)&nbsp;&nbsp;</option>
<? endforeach; ?>
</select>

<div class="clear"></div>

<div class="fleft">
<h2>Current Profile <small>(<?= date('d M Y, H:i', $this->old->date_updated) ?>)</small></h2>
<? __print_profile($this->old, $this->diff) ?>
</div>

<div class="fleft" style="margin-right: 0">
<h2>Changed Profile <small>(<?= date('d M Y, H:i', $this->new->date_updated) ?>)</small></h2>
<? __print_profile($this->new, $this->diff) ?>
</div>

<div class="clear"></div>


<?
function __print_profile($profile, $diff) {
$defines = Zend_Registry::get('defines');
$defines['y_n_na_options'][0] = '-';
$defines['kissing_options'][0] = '-';
$defines['blowjob_options'][0] = '-';
$defines['cumshot_options'][0] = '-';
$defines['ethnic_options'][0] = '-';
$defines['eye_color_options'][0] = '-';
$defines['hair_color_options'][0] = '-';

$field_map = array(
	'showname' => array('label' => 'Showname'),
	'base_city_id' => array('label' => 'Base City', 'callback' => '__get_city'),
	'ethnicity' => array('label' => 'Ethnicity', 'map' => $defines['ethnic_options']),
	'nationality_id' => array('label' => 'Nationality', 'callback' => '__get_nationality'),
	'measure_units' => array('label' => 'Measure Units', 'map' => $defines['metric_system']),
	'gender' => array('label' => 'Gender', 'map' => $defines['gender_options']),
	'height' => array('label' => 'Height', /* callback */),
	'weight' => array('label' => 'Weight', 'callback' => '__weight_formatter'),
	'bust' => array('label' => 'Bust', 'callback' => '__size_formatter'),
	'waist' => array('label' => 'Waist', 'callback' => '__size_formatter'),
	'hip' => array('label' => 'Hip', 'callback' => '__size_formatter'),
	'eye_color' => array('label' => 'Eye Color', 'map' => $defines['eye_color_options']),
	'hair_color' => array('label' => 'Eye Color', 'map' => $defines['hair_color_options']),
	'shoe_size' => array('label' => 'Shoe Size'),
	'breast_size' => array('label' => 'Breast Size'/*, 'map' => $defines['breast_size_options']*/),
	'dress_size' => array('label' => 'Dress Size'),
	'is_smoker' => array('label' => 'Is Smoker?', 'map' => $defines['yes_no_options']),
	'availability' => array('label' => 'Availability', 'map' => $defines['available_for']),
	'contact_zip' => array('label' => 'Contact Zip'),
	'characteristics' => array('label' => 'characteristics'),
	'sex_availability' => array('label' => 'Sex Availability'),
	'about' => array('label' => 'About'),
	'contact_phone' => array('label' => 'Contact Phone'),
	'phone_instructions' => array('label' => 'Phone Instructions'),
	'contact_email' => array('label' => 'Contact Email'),
	'contact_web' => array('label' => 'Contact Web'),
	
	'svc_kissing' => array('label' => 'Kissing', 'map' => $defines['kissing_options']),
	'svc_blowjob' => array('label' => 'Blowjob', 'map' => $defines['blowjob_options']),
	'svc_cumshot' => array('label' => 'Cumshot', 'map' => $defines['cumshot_options']),
	'svc_69' => array('label' => '69', 'map' => $defines['y_n_na_options']),
	'svc_anal' => array('label' => 'Anal', 'map' => $defines['y_n_na_options']),
	'svc_additional' => array('label' => 'Additional'),
	'working_times' => array('label' => 'Work Times', 'callback' => '__work_times_formatter'),
	'birth_date' => array('label' => 'Birth Date', 'callback' => '__date_formatter')
);

?>
<table class="profile-table"><?
foreach ( $profile->data as $field => $value ):
	$cls = false;
	if ( in_array($field, $diff['added']) || in_array($field, $diff['changed']) || in_array($field, $diff['removed']) ) $cls = 'modified';
	
	// if ( is_array($value) ) $value = 'TODO: Array';
	
	if ( isset($field_map[$field]) ) {
		$m = $field_map[$field];
		$field = $m['label'];
		
		if ( isset($m['map']) && isset($m['map'][$value]) ) {
			$value = $m['map'][$value];
		}
		elseif ( isset($m['callback']) ) {
			$value = call_user_func_array($m['callback'], array($value));
		}
	}
?>
<tr<?= $cls ? ' class="' . $cls . '"' : '' ?>>
	<th><?= $field ?></th>
	<td><?= $value ?></td>
</tr>
<?
endforeach;
?></table><?
}

function __date_formatter($value)
{
	if ( ! $value ) return '';
	return date('d M Y', $value);
}

function __get_city($city_id)
{
	$model = new Model_Geography_Cities();
	return $model->get($city_id)->title_en;
}

function __get_nationality($nationality_id)
{
	if ( ! $nationality_id ) return '-';
	
	$model = new Model_Nationalities();
	return $model->get($nationality_id)->title;
}

function __weight_formatter($weight)
{
	if ( ! $weight ) return '-';
	return intval($weight) . ' kg';
}

function __size_formatter($number)
{
	if ( ! $number ) return '-';
	return intval($number) . ' cm';
}

function __work_times_formatter($times)
{
	$sdate = date('l', strtotime(date('Y') . 'W' . date('W') . '0'));
	
	$html = '<ul style="list-style: none">';
	foreach ( $times as $i => $time ) {
		$from = $time['from'];
		$from = (strlen($from) == 1 ? '0' : '') . $from . ':00';
		
		$to = $time['to'];
		$to = (strlen($to) == 1 ? '0' : '') . $to . ':00';
		
		$html .= '<li>' . date('l', mktime(null, null, null, null, $sdate + $i)) . ': ' . $from . ' - ' . $to . '</li>';
	}
	$html .= '</ul>';
	
	return $html;
}

?>
